<app-header [buttonTitle]="'Δημιουργία'" [buttonIcon]="'add'" [title]="'Προϊόντα'" (action)="createProduct()"
            [hasAction]="true"></app-header>

<div fxLayout="column">

  <ng-container *ngIf="products.length > 0 && pageLoaded then ShowProducts else ShowNoProducts"></ng-container>

  <ng-template #ShowProducts>
    <div fxLayout="column" fxFlex="100">
<!--      <div fxLayout="row">-->
<!--        <mat-form-field>-->
<!--          <mat-label>Κατηγορίες</mat-label>-->
<!--          <mat-select [(ngModel)]="selectedCategories" multiple (selectionChange)="checkVisibility()">-->
<!--            <mat-option *ngFor="let category of categories" [value]="category">{{category.description}}</mat-option>-->
<!--          </mat-select>-->
<!--        </mat-form-field>-->
<!--      </div>-->
      <div fxLayout="row wrap" fxLayoutAlign="start" >
        <div *ngFor="let group of groupedProducts" fxFlex="100">
          <div *ngIf="group.params.visible === true" fxFlex="100"
               style="border: 1px dashed var(--primary); border-radius: 15px; padding: 10px; margin-bottom: 1rem;">
            <div fxLayout="column" fxFlex="100">
              <div fxLayout="row" fxFlex="100">
                <label style=" font-size: 24px;">
                  {{getCategoryName(group.categoryId)}}
                </label>
              </div>
              <div fxLayout="row wrap" fxLayoutAlign="start space-between">
                <app-product-card *ngFor="let product of group.products" [product]="product"></app-product-card>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </ng-template>


  <ng-template #ShowNoProducts>
    <div fxLayout="column" fxFlex="1 0 auto" fxLayoutAlign="center center" fxFlexFill="100"
         [style.height.px]="pageHeight">
      <label style="font-size: 18px; margin-bottom: 2rem;">Δεν υπάρχουν προϊόντα</label>
      <button mat-flat-button (click)="createProduct()">
        <mat-icon>add</mat-icon>
        Προσθέστε προϊόντα
      </button>
    </div>
  </ng-template>
</div>
